#
# spec file for package osinfo-db
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           osinfo-db
Version:        20170326
Release:        2.2
Summary:        Osinfo database files
License:        LGPL-2.1+ and GPL-2.0+
Group:          System/Management
BuildArch:      noarch
Url:            https://releases.pagure.org/libosinfo/
Source:         https://releases.pagure.org/libosinfo/%{name}-%{version}.tar.xz
Patch20:        add-opensuse-leap-42.3-support.patch
Patch21:        add-sle12sp3-support.patch
Patch22:        add-caasp-support.patch
Patch23:        add-win2k16-support.patch
BuildRequires:  intltool
BuildRequires:  osinfo-db-tools

%description
The osinfo database provides information about operating systems and
hypervisor platforms to facilitate the automated configuration and
provisioning of new virtual machines

%prep
%setup -q
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1

%build
cd %{_builddir}
tar -cJf x.tar.xz osinfo-db-%{version}

%install
osinfo-db-import --root %{buildroot} --dir %{_datadir}/osinfo "%{_builddir}/x.tar.xz"

%files
%defattr(-,root,root,-)
%dir %{_datadir}/osinfo/
%{_datadir}/osinfo/VERSION
%{_datadir}/osinfo/LICENSE
%{_datadir}/osinfo/datamap
%{_datadir}/osinfo/device
%{_datadir}/osinfo/os
%{_datadir}/osinfo/platform
%{_datadir}/osinfo/install-script
%{_datadir}/osinfo/schema

%changelog
* Mon Apr 10 2017 cbosdonnat@suse.com
- casp is actually written CaasP.
  Rename patch add-casp-support.patch into add-caasp-support.patch
* Wed Mar 29 2017 carnold@suse.com
- bsc#1030538 - osinf-db: casp-1.xml should be called casp-1.0.xml
  add-casp-support.patch
- fate#322156 - Update to version 20170326
  osinfo-db-20170326.tar.xz
- Dropped patches now in new tarball
  99f7e666-fix-opensuse-derives-from-information.patch
  470b7652-add-opensuse-device-information.patch
  3c621fd8-add-opensuse-date-information.patch
  e77abec7-add-opensuse-resource-information.patch
  67c74e5f-add-opensuse-leap-42.2-support.patch
  f0d44d88-add-missing-sle10-distros.patch
  9a35cea7-fix-sle-derives-from-information.patch
  50091807-add-sle-device-information.patch
  9dec2be8-add-sle-date-information.patch
  1a7ce161-add-sle-resource-information.patch
  99ae3d72-add-sle12sp2-support.patch
* Fri Mar  3 2017 carnold@suse.com
- fate#322156 - Virtualization: Supported Virtualizated Guests
  add-win2k16-support.patch
* Fri Jan 27 2017 jengelh@inai.de
- Use more appropriate RPM group
- Avoid overwriting sources during build
* Fri Jan 13 2017 carnold@suse.com
- bsc#1010060 - virt-install won't start CASP installation
  add-casp-support.patch
* Tue Dec  6 2016 carnold@suse.com
- bsc#1013983 - incomplete capabilities list of SLE and openSUSE
  distributions in libosinfo
  99f7e666-fix-opensuse-derives-from-information.patch
  470b7652-add-opensuse-device-information.patch
  3c621fd8-add-opensuse-date-information.patch
  e77abec7-add-opensuse-resource-information.patch
  67c74e5f-add-opensuse-leap-42.2-support.patch
  f0d44d88-add-missing-sle10-distros.patch
  9a35cea7-fix-sle-derives-from-information.patch
  50091807-add-sle-device-information.patch
  9dec2be8-add-sle-date-information.patch
  1a7ce161-add-sle-resource-information.patch
  99ae3d72-add-sle12sp2-support.patch
- Dropped or renamed
  Fix_derives-from_and_add_tablet_item.patch
  add-opensuse-leap-42.2-support.patch
  add-sle12sp2-support.patch
  add-sle12sp2-support-for-arch.patch
  add-missing-sle10-distros.patch
* Thu Dec  1 2016 carnold@suse.com
- Update to database version 20161026
  osinfo-db-20161026.tar.xz
* Thu Dec  1 2016 carnold@suse.com
- bsc#1012005 - [openqa virtualization] using the wrong bootloader
  tool to boot the sles-12-sp3 pv kernel on xen platform
  add-sle12sp3-support.patch
  add-opensuse-leap-42.3-support.patch
* Tue Oct 11 2016 carnold@suse.com
- bsc#1003456 - virt-install fails to detect openSUSE Leap 42.2 ISO
  add-opensuse-leap-42.2-support.patch
- bsc#1000188 - virt-install on aarch64 does not detect
  installation iso
  add-sle12sp2-support-for-arch.patch
- bsc#986731 - libosinfo: Add support for openSUSE Leap 42.2
  add-opensuse-leap-42.2-support.patch
- bsc#979369 - libosinfo: Missing sle10 distro versions
  add-missing-sle10-distros.patch
- bsc#946157 - The mouse cursor doesn't work during Guest OS
  installation in KVM Mode
  Fix_derives-from_and_add_tablet_item.patch
* Mon Oct 10 2016 carnold@suse.com
- Version 20160728
  The osinfo database provides information about operating systems and
  hypervisor platforms to facilitate the automated configuration and
  provisioning of new virtual machines
